Bug 40 - SMB signing does not work for file transfers
SMB signing does not work for file transfers
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.0preX
Other other
: P2 normal
: none
Assigned To: Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 00:26 UTC by Andrew Bartlett
Modified: 2005-08-24 10:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2003-04-29 00:26:59 UTC
SMB Signing currently does not account for the mutiple outstanding replies that
may be present, and will drop a signed connection during file transfer.

A list of outstanding packets, and their sequence number should be created, so
inbound packets can be matched.

smbtorture RW* tests show this well.
Comment 1 Andrew Bartlett 2003-06-07 20:50:05 UTC
A fix has been applied to Samba 3.0 CVS.
Comment 2 Gerald (Jerry) Carter 2005-02-07 07:54:33 UTC
originally reported against 3.0alpha23.  Bugzilla spring cleaning.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:26:25 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.